public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/bson/
Date: Sun, 22 Jan 2017 07:16:15 +0000 (UTC)	[thread overview]
Message-ID: <1485069364.a8e779643b22186763bd9614f989ced40ede5f07.graaff@gentoo> (raw)

commit:     a8e779643b22186763bd9614f989ced40ede5f07
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 22 07:16:04 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan 22 07:16:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8e77964

dev-ruby/bson: add 4.2.1

Package-Manager: portage-2.3.0

 dev-ruby/bson/Manifest          |  1 +
 dev-ruby/bson/bson-4.2.1.ebuild | 45 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-ruby/bson/Manifest b/dev-ruby/bson/Manifest
index 13ab70d..eb7863f 100644
--- a/dev-ruby/bson/Manifest
+++ b/dev-ruby/bson/Manifest
@@ -1,3 +1,4 @@
 DIST bson-3.2.6.tar.gz 51846 SHA256 b7d848b93de622c32cc65cf6debf21aaa0e66d554d65cc7805dc8f76e56c55fb SHA512 da8d7c4e50bd5387a50f0ef471f1d854e0a1bf3f109bb793b16c8e4d110f6b98cb37aee126176eccb097c5d7814360ef85e96be4aa4704226a8490984a5dd3f2 WHIRLPOOL ece0e17aca10f684cdbea703702b5f886340fe93ede11045430c7711f2d546c5e2558003261d8252a29a55fc999664be0315f0ac693d02181a9dcf006d44a3c6
 DIST bson-4.1.1.tar.gz 55417 SHA256 965d0da14886e795230686168676784c74117c705b262ee468205c0066166f64 SHA512 b98b568fe0a94e6430433a9bb57930c0a95c9b268d928a6fabb1ce6bd4343406e700de11db531f6a49bc270e449637c70ce0ad0a8f7f6cae7857f0ad627f1956 WHIRLPOOL b7f0735cb0d3e49d257f805398368e397a70f87dd38460ce04064ca34fc0f9b60f6e776403955be0e2db9360b94bb0b09f48d5c3e7036a10d8393b715c455b41
 DIST bson-4.2.0.tar.gz 91564 SHA256 dcd58eeb3e1ad9c88a8c899bd349a1da55e4295bc650d81b57d7da21962bd140 SHA512 890f6432545d807a678cf160068cf0ebb2287b78789d9bdb07b710b8baa056b2074c7d09c0e56612e40410ea217f63d3074cb28d9a4fada7916ff04f1900dc1d WHIRLPOOL d6f651da5703d06ea052524abe50fd6d4b5fb618a0685e796bf41903a8e9587ed1a3746fbe8d931385c8933ebcfed81804660765d1c3804964103159dd93e00f
+DIST bson-4.2.1.tar.gz 91862 SHA256 8e915fc558b846197322af6f6a8af4ef2f570fb0e158d7df5e7af75d971c9bef SHA512 19ae538674d97b548c7b46e5cf8f3a971ebce8e3cfe3f1b1866527ed05a7b9599eeb637d126fcae8384606881ba88b513e166d299c90d61d6796053fe66fd51f WHIRLPOOL bb76c76b15095167456a23133932f37f7c9659f672c0d3f5e625bc434803b6fd685de4a898fb3ef764c0f3bd91eea784bbd5b4cbd87e00a570a3e52c330308c0

diff --git a/dev-ruby/bson/bson-4.2.1.ebuild b/dev-ruby/bson/bson-4.2.1.ebuild
new file mode 100644
index 00000000..0c3df5f
--- /dev/null
+++ b/dev-ruby/bson/bson-4.2.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+GITHUB_USER="mongodb"
+GITHUB_PROJECT="bson-ruby"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A Ruby BSON implementation for MongoDB. (Includes binary C-based extension.)"
+HOMEPAGE="http://www.mongodb.org/"
+SRC_URI="https://github.com/${GITHUB_USER}/${GITHUB_PROJECT}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="bson-ruby-${PV}"
+
+LICENSE="APSL-2"
+SLOT="4"
+KEYWORDS="~amd64"
+IUSE="test doc"
+
+all_ruby_prepare() {
+	# Remove bundler support
+	sed -i -e '/bundler/I s:^:#:' Rakefile || die
+
+	# Remove project-specific rspec options
+	rm .rspec || die
+}
+
+each_ruby_configure() {
+	${RUBY} -C ext/bson extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+	emake -C ext/bson V=1 CFLAGS="${CFLAGS} -fPIC" archflag="${LDFLAGS}"
+	cp ext/bson/*$(get_modname) lib/ || die
+}


             reply	other threads:[~2017-01-22  7:16 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-22  7:16 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-20  8:20 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/bson/ Arthur Zamarin
2024-09-19 20:18 Jakov Smolić
2024-03-08  9:47 Hans de Graaff
2023-12-31 19:49 Hans de Graaff
2021-10-28  5:20 Hans de Graaff
2021-03-28  6:47 Hans de Graaff
2020-12-28  8:51 Hans de Graaff
2020-09-06  6:48 Hans de Graaff
2020-08-15  5:36 Hans de Graaff
2020-06-13  4:27 Hans de Graaff
2020-06-13  4:27 Hans de Graaff
2020-03-08  6:38 Hans de Graaff
2020-03-08  6:38 Hans de Graaff
2020-02-28  7:44 Hans de Graaff
2020-01-26  7:08 Hans de Graaff
2019-12-26  6:30 Hans de Graaff
2019-11-02  5:40 Hans de Graaff
2019-05-24  7:06 Hans de Graaff
2019-04-11  6:49 Hans de Graaff
2019-01-31  7:35 Hans de Graaff
2019-01-19  8:07 Hans de Graaff
2018-09-17 19:07 Hans de Graaff
2018-02-24  8:49 Hans de Graaff
2018-01-18  7:10 Hans de Graaff
2018-01-18  7:10 Hans de Graaff
2017-07-17  6:21 Hans de Graaff
2016-12-19  6:48 Hans de Graaff
2016-10-30 19:39 Hans de Graaff
2016-08-19  5:08 Hans de Graaff
2016-08-19  5:08 Hans de Graaff
2016-04-05 22:55 Manuel Rüger
2015-10-10  5:39 Hans de Graaff
2015-10-10  5:39 Hans de Graaff
2015-09-06  6:23 Hans de Graaff
2015-08-14  6:35 Hans de Graaff
2015-08-11 17:22 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1485069364.a8e779643b22186763bd9614f989ced40ede5f07.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox